%global npm_name bignumber.js
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       Library for arbitrary-precision decimal and non-decimal arithmetic 
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       1.1.1
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/MikeMcl/bignumber.js
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
BuildArch:     noarch

%description
A library for arbitrary-precision decimal and non-decimal arithmetic.

%prep
%setup -q -n package

# wrong end-of-file encoding
sed -i 's/\r//' README.md LICENCE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bignumber.js bignumber.min.js doc package.json perf test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
node ./test/every-test.js
%endif

%files
%doc LICENCE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 1.1.1-2
- Add support for software collections

* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Wed May 22 2013 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial build

